Skip to Content

need help getting .9.5

34 replies [Last post]
stephenthemartyr
Offline
Joined: 07/05/2011

Iam using the .9.4 on ubuntu 10.04 and i tried to build the new versionbecause i really need to be ableto change teh tempo because my songs have tempo changes all over them. I got this when i was tryingto build it.

 

Hydrogen build script

/bin/sh: svnversion: not found
 Revision:
 Platform: linux2
 Release build
 Prefix: /usr/local
 Destdir:
=================================================================
Feature Overview:

      lash: disabled
      oss: enabled
      alsa: enabled
      jack: enabled
libarchive: disabled
 portaudio: disabled
  portmidi: disabled

=================================================================

/bin/sh: svnversion: not found
EnvironmentError: No tool named 'qt4': not a Zip file:
  File "/home/owner/hydrogen-0.9.5/Sconstruct", line 528:
    libhyd = get_hydrogen_lib( opts )
  File "/home/owner/hydrogen-0.9.5/Sconstruct", line 187:
    env = Environment(options = opts , tools=['default','qt4'], toolpath=[qt4ToolLocation], ENV=os.environ, CPPPATH = includes, CPPFLAGS = cppflags, CCFLAGS = "", LINKFLAGS=ldflags )
  File "/usr/lib/scons/SCons/Environment.py", line 1005:
    apply_tools(self, tools, toolpath)
  File "/usr/lib/scons/SCons/Environment.py", line 107:
    env.Tool(tool)
  File "/usr/lib/scons/SCons/Environment.py", line 1703:
    tool = apply(SCons.Tool.Tool, (tool, toolpath), kw)
  File "/usr/lib/scons/SCons/Tool/__init__.py", line 95:
    module = self._tool_module()
  File "/usr/lib/scons/SCons/Tool/__init__.py", line 155:
    raise SCons.Errors.EnvironmentError, m
owner@owner-laptop:~/hydrogen-0.9.5$

I am new to this so i dont even know what I am doing.Please help,i really cannot make a song right without bieng ableto have hydro change tempos on its own

thijs
thijs's picture
Offline
Joined: 04/20/2010

check out the KXstudio main PPA

it has a 0.9.5 binary for 10.4

stephenthemartyr
Offline
Joined: 07/05/2011

Hey thanks so much,i did it but this came up

If no specific keyring file is given the command applies to all keyring files.
owner@owner-laptop:~$ sudo apt-get update
Get:1 http://dl.google.com stable Release.gpg [198B]
Ign http://dl.google.com/linux/chrome/deb/ stable/main Translation-en_US      
Hit http://archive.canonical.com lucid Release.gpg                            
Ign http://archive.canonical.com/ubuntu/ lucid/partner Translation-en_US
Get:2 http://ppa.launchpad.net jaunty Release.gpg [316B]            
Ign http://ppa.launchpad.net/gwibber-daily/ppa/ubuntu/ jaunty/main Translation-en_US
Hit http://ppa.launchpad.net lucid Release.gpg                      
Hit http://archive.ubuntu.com lucid Release.gpg                     
Ign http://archive.ubuntu.com/ubuntu/ lucid/main Translation-en_US  
Ign http://archive.ubuntu.com/ubuntu/ lucid/restricted Translation-en_US
Get:3 http://dl.google.com stable Release.gpg [198B]                
Ign http://dl.google.com/linux/talkplugin/deb/ stable/main Translation-en_US  
Get:4 http://dl.google.com stable Release [1,351B]                            
Get:5 http://dl.google.com stable Release [1,347B]                            
Hit http://archive.canonical.com lucid Release                                
Ign http://ppa.launchpad.net/kxstudio-team/music/ubuntu/ lucid/main Translation-en_US
Hit http://ppa.launchpad.net lucid Release.gpg                        
Ign http://ppa.launchpad.net/webcontentcontrol/webcontentcontrol/ubuntu/ lucid/main Translation-en_US
Ign http://archive.ubuntu.com/ubuntu/ lucid/universe Translation-en_US        
Ign http://archive.ubuntu.com/ubuntu/ lucid/multiverse Translation-en_US      
Hit http://archive.ubuntu.com lucid-updates Release.gpg                       
Ign http://archive.ubuntu.com/ubuntu/ lucid-updates/main Translation-en_US    
Ign http://archive.ubuntu.com/ubuntu/ lucid-updates/restricted Translation-en_US
Ign http://archive.ubuntu.com/ubuntu/ lucid-updates/universe Translation-en_US
Ign http://archive.ubuntu.com/ubuntu/ lucid-updates/multiverse Translation-en_US
Hit http://archive.ubuntu.com lucid-security Release.gpg                      
Ign http://archive.ubuntu.com/ubuntu/ lucid-security/main Translation-en_US   
Get:6 http://ppa.launchpad.net jaunty Release [74.7kB]                        
Ign http://ppa.launchpad.net jaunty Release                                   
Get:7 http://dl.google.com stable/main Packages [1,247B]                      
Hit http://ppa.launchpad.net lucid Release                                    
Hit http://ppa.launchpad.net lucid Release                                    
Ign http://archive.ubuntu.com/ubuntu/ lucid-security/restricted Translation-en_US
Ign http://archive.ubuntu.com/ubuntu/ lucid-security/universe Translation-en_US
Ign http://archive.ubuntu.com/ubuntu/ lucid-security/multiverse Translation-en_US
Hit http://archive.ubuntu.com lucid Release                                   
Hit http://archive.ubuntu.com lucid-updates Release                           
Hit http://archive.canonical.com lucid/partner Packages                       
Get:8 http://dl.google.com stable/main Packages [767B]                        
Hit http://ppa.launchpad.net jaunty/main Packages                             
Hit http://ppa.launchpad.net jaunty/main Sources
Hit http://archive.ubuntu.com lucid-security Release
Hit http://ppa.launchpad.net lucid/main Packages
Hit http://ppa.launchpad.net lucid/main Packages
Hit http://archive.ubuntu.com lucid/main Packages
Hit http://archive.ubuntu.com lucid/restricted Packages
Hit http://archive.ubuntu.com lucid/restricted Sources
Hit http://archive.ubuntu.com lucid/main Sources
Hit http://archive.ubuntu.com lucid/multiverse Sources
Hit http://archive.ubuntu.com lucid/universe Sources
Hit http://archive.ubuntu.com lucid/universe Packages
Hit http://archive.ubuntu.com lucid/multiverse Packages
Hit http://archive.ubuntu.com lucid-updates/main Packages
Hit http://archive.ubuntu.com lucid-updates/restricted Packages
Hit http://archive.ubuntu.com lucid-updates/restricted Sources
Hit http://archive.ubuntu.com lucid-updates/main Sources
Hit http://archive.ubuntu.com lucid-updates/multiverse Sources
Hit http://archive.ubuntu.com lucid-updates/universe Sources
Hit http://archive.ubuntu.com lucid-updates/universe Packages
Hit http://archive.ubuntu.com lucid-updates/multiverse Packages
Hit http://archive.ubuntu.com lucid-security/main Packages
Hit http://archive.ubuntu.com lucid-security/restricted Packages
Hit http://archive.ubuntu.com lucid-security/restricted Sources
Hit http://archive.ubuntu.com lucid-security/main Sources
Hit http://archive.ubuntu.com lucid-security/multiverse Sources
Hit http://archive.ubuntu.com lucid-security/universe Sources
Hit http://archive.ubuntu.com lucid-security/universe Packages
Hit http://archive.ubuntu.com lucid-security/multiverse Packages
Fetched 5,425B in 2s (2,368B/s)
Reading package lists... Done
W: GPG error: http://ppa.launchpad.net jaunty Release: The following signatures couldn't be verified because the public key is not available: NO_PUBKEY D0AFF96872D340A3
owner@owner-laptop:~$

stephenthemartyr
Offline
Joined: 07/05/2011

ok i redid it and got this

owner@owner-laptop:~$ sudo apt-key adv --keyserver keyserver.ubuntu.com --recv-keys DF8063EB
Executing: gpg --ignore-time-conflict --no-options --no-default-keyring --secret-keyring /etc/apt/secring.gpg --trustdb-name /etc/apt/trustdb.gpg --keyring /etc/apt/trusted.gpg --primary-keyring /etc/apt/trusted.gpg --keyserver keyserver.ubuntu.com --recv-keys DF8063EB
gpg: requesting key DF8063EB from hkp server keyserver.ubuntu.com
gpg: key DF8063EB: "Launchpad PPA for KXStudio Team" not changed
gpg: Total number processed: 1
gpg:              unchanged: 1
Sorry to be abother but im kinda lost here,your help would be much appreciated

stephenthemartyr
Offline
Joined: 07/05/2011

i installed the ppa and now there is no sound?

stephenthemartyr
Offline
Joined: 07/05/2011

GPG error: http://ppa.launchpad.net jaunty Release: The following signatures couldn't be verified because the public key is not available: NO_PUBKEY D0AFF96872D340A3Failed to fetch http://ppa.launchpad.net/kxstudio-team/ppa/ubuntu/dists/lucid/Release  Unable to find expected entry  deb-src/binary-i386/Packages in Meta-index file (malformed Release file?)
Some index files failed to download, they have been ignored, or old ones used instead.

i added the ppa and it did a "partial upgrade"and now there is no sound from hydrogen drum machine and no sound from anything using jack

sorry but i really appreciate it

thijs
thijs's picture
Offline
Joined: 04/20/2010

ok i probably could have been more clear about the PPA

the idea was simply to add the PPA to your list of software sources and then (using swcentre) install _only_ Hydrogen form the KX PPA

My guess is that a number of ALSA/Jack components also got upgraded.  Is it just hydrogen that has no sound anymore or is it a general problem?

are you using Hydrogen with Jack ?

 

stephenthemartyr
Offline
Joined: 07/05/2011

Its ok yea it upgraded a bunch of stuff.It was just working but now its not working again.I use jackd with hydrogen,ardour and i play guitar and sing thru a mixer then into mycomp.

stephenthemartyr
Offline
Joined: 07/05/2011

Hey just checking if you got my messagebut i tried everything and no sound with jack,when i make hydrogen use alsa under preferences it works but when i choose jack there is no sound.Im kinda lost as what i should do.Could you help me

stephenthemartyr
Offline
Joined: 07/05/2011

Dude i really need help mycomputer isall messed up.jack and ardour workedfor a secong but the songs in ardour werebieng played faster than usual,i could tell cuz my voice sounded chipmunkish.Now jack and hydrogen and ardour are not working.Not only that but it wouldnt let me reinstall ardour nor jack from software center,i had to apt-getfrom terminal and it said they were from sources that were not trusted or something.Please,pleasei have been at this all night.Thank you somuch

thijs
thijs's picture
Offline
Joined: 04/20/2010

does jack report any errors/xruns? (make sure you have ticked the verbose option)

have you checked the samplerate ? this could explain the incorrect tempo

are you saying that you cant uninstall the audio apps coming from the KXStudio PPA?  if you open up swcentre you should see the PPA listed on the left side in the 'Get software' tree (i think it's called 'main').  If you select that PPA you will get a list of all the apps that this PPA offers + an indication of what apps are installed.  I have not yet tried this, but i would expect that you can just uninstall the apps from this PPA that you no longer need, then disable the PPA (in swcentre goto Edit > Software sources  and on the  'other software' tab you should be able to un-tick the KXStudio PPA), reload swcentre, an then the 'main' ppa should no longer be in the sources tree on the left side.  Then you can reinstall the original versions of the apps that you had replaced with the versions coming from the KXStudio PPA.

i'll double check if the above is the correct way of working

stephenthemartyr
Offline
Joined: 07/05/2011

Hey man thanks for your help.Im not really sure which apps it upgraded nor how to get rid of them all.I unustalled jack and ardour then tried reinstalling them but it kept saying there were dependencies so i messed around in the terminal and finally it reinstalled ardour and jack,so i ran them and  they all worked.Then i closed them and ran them again to makesure and then there was no sound again?When i ununstalledjackd it also removed a nuch of other jack programs,so after i finally apt-get installed jack d iwent to the swcenter but wouldnt install them,itsaid they were from unrecognized source or somin(jamin,jackeq,ect.What should i do?

stephenthemartyr
Offline
Joined: 07/05/2011

ok so it let me get jack rack but not jamin from sw center.I opened jack and ardour and it played but sounded too fast again.I set jackd at48000khz and ardour is in 48000 but it says before i open ardour that the audio driver is at 41 but i set jack to 48,wh

thijs
thijs's picture
Offline
Joined: 04/20/2010

is it possible that you are configuring the wrong jack backend ?  it's really easy to get lost in the various jack versions (jack1,2,dmp ...)

might be a good idea to check what jack backend is actually running and if you are configuring the correct one.  i assume you are using qjackctl as frontend > goto settings and check the server path > then check if this is the backend that is actually running when you are using ardour

 

you can check it like this :

$ ps aux | grep jackd

tvanseve  8124  1.4  2.3 129244 92124 ?        SLsl 14:58   0:00 /usr/bin/jackd -v -t1000 -dalsa -dhw:0 -r44100 -p256 -n2 -s

this will show you the current jack settings (note the 441000) + the exact pathe of the backend
thijs
thijs's picture
Offline
Joined: 04/20/2010

Filipe (from KSXstudio) just pointed out that you seem to have installed a number of packages for jaunty, but (as you wrote in your first post) you are running 10.4 ?  thats strange and i dont think it'll work ...

the KXStudio ppa only does Lucid, Maverick and Natty

 

tip for Filipe :

if you are _really_ using lucid (=10.04), edit:
/etc/apt/sources.list.d/kxstudio-team-ppa-lucid.list
And replace 'jaunty' with 'lucid'

 

stephenthemartyr
Offline
Joined: 07/05/2011

Hey man Thank you for helping me,i really appreciate it.i ran the "$ ps aux | grep jackd" and i got "owner     1770  0.0  0.0   3324   792 pts/0    S+   17:11   0:00 grep --color=auto jackd"

and yea i dont know why i put those jaunty ppa's in their,what should i do about that?can i get ridof them and fix this?Imsorry i am a beginner:(

Thanks again!!

ps your sequencer is totally awesome

stephenthemartyr
Offline
Joined: 07/05/2011

So what should i do?ardour just went black and white and froze when i started it then when i closed jackd it went black and white and then i had to force quit

stephenthemartyr
Offline
Joined: 07/05/2011

i changed the jaunty to lucid,i dont know why i had those in there.What should i do?

stephenthemartyr
Offline
Joined: 07/05/2011

so now what should i do????

thijs
thijs's picture
Offline
Joined: 04/20/2010

take it easy Stephen, lets take this one step at a time :

check jackd

- are you using qjackctl ?  

  > on the Settings tab of the Setup page of qjackctl : what is in the 'server path' box (and while you are here tick the 'Verbose messaging' box)

- make sure all audio apps (qjackctl, ardour, hydrogen etc) are closed

- run $ps aux | grep jack   (thats 'jack' not 'jackd') >post the output here

- open qjackctl, open the 'messages' window, start jack (press 'play' on the qjaclt main window) and paste the output of the messages window here

- run $ps aux | grep jack   again (thats 'jack' not 'jackd') >post the output here

 

jaunty / lucid issue

- you are running 10.4 (lucid) and you changed /etc/apt/sources.list.d/kxstudio-team-ppa-lucid.list (see previous posts)

- now run a $sudo apt-get update  >check if the jaunty lines are still in there

 

stephenthemartyr
Offline
Joined: 07/05/2011

 

 

hey man im sorry i didntmean to sound rude im just exausted and confused.Thank you for helping me

here is the output after runnung ps aux | grep jack

 

owner@owner-laptop:~$ ps aux | grep jack
owner     3310  0.2  4.4 104068 91632 ?        SLsl 04:55   0:05 /usr/bin/jackdbus auto
owner     3539  0.0  0.0   3324   792 pts/0    S+   05:38   0:00 grep --color=auto jack
owner@owner-laptop:~$ ps aux | grep jack
owner     3310  0.2  4.4 104076 91636 ?        SLsl 04:55   0:05 /usr/bin/jackdbus auto
owner     3542  3.1  5.1 132004 105688 ?       SLl  05:39   0:01 /usr/bin/qjackctl
owner     3546  0.0  0.0   3324   792 pts/0    S+   05:40   0:00 grep --color=auto jack
owner@owner-laptop:~$
and the message window on qjackctl reads

 

p, li { white-space: pre-wrap; }

05:39:16.937 Patchbay deactivated.

05:39:16.939 Statistics reset.

05:39:16.957 ALSA connection change.

05:39:17.154 JACK connection change.

05:39:17.179 Client activated.

 

 

 

and this is output after running sudp apt-get update

 

owner@owner-laptop:~$ sudo apt-get update
[sudo] password for owner:
Get:1 http://dl.google.com stable Release.gpg [198B]
Ign http://dl.google.com/linux/chrome/deb/ stable/main Translation-en_US       
Get:2 http://dl.google.com stable Release.gpg [198B]                           
Ign http://dl.google.com/linux/talkplugin/deb/ stable/main Translation-en_US   
Ign http://ppa.launchpad.net Lucid Release.gpg                                 
Ign http://ppa.launchpad.net/gwibber-daily/ppa/ubuntu/ Lucid/main Translation-en_US
Ign http://ppa.launchpad.net lucid Release.gpg                       
Get:3 http://dl.google.com stable Release [1,351B]                   
Hit http://archive.canonical.com lucid Release.gpg                             
Ign http://archive.canonical.com/ubuntu/ lucid/partner Translation-en_US       
Hit http://archive.ubuntu.com lucid Release.gpg                                
Ign http://archive.ubuntu.com/ubuntu/ lucid/main Translation-en_US             
Ign http://archive.ubuntu.com/ubuntu/ lucid/restricted Translation-en_US       
Get:4 http://dl.google.com stable Release [1,347B]                             
Ign http://ppa.launchpad.net/THE_PPA/ppa/ubuntu/ lucid/main Translation-en_US  
Ign http://ppa.launchpad.net lucid Release.gpg                                 
Ign http://ppa.launchpad.net/user/ppa-name/ubuntu/ lucid/main Translation-en_US
Hit http://ppa.launchpad.net lucid Release.gpg                                 
Ign http://ppa.launchpad.net/webcontentcontrol/webcontentcontrol/ubuntu/ lucid/main Translation-en_US
Hit http://ppa.launchpad.net lucid Release.gpg                       
Ign http://ppa.launchpad.net/webupd8team/y-ppa-manager/ubuntu/ lucid/main Translation-en_US
Get:5 http://dl.google.com stable/main Packages [1,247B]                       
Ign http://ppa.launchpad.net Lucid Release                                     
Hit http://archive.canonical.com lucid Release                                 
Ign http://archive.ubuntu.com/ubuntu/ lucid/universe Translation-en_US         
Ign http://archive.ubuntu.com/ubuntu/ lucid/multiverse Translation-en_US       
Hit http://archive.ubuntu.com lucid-updates Release.gpg                        
Ign http://archive.ubuntu.com/ubuntu/ lucid-updates/main Translation-en_US     
Ign http://archive.ubuntu.com/ubuntu/ lucid-updates/restricted Translation-en_US
Ign http://archive.ubuntu.com/ubuntu/ lucid-updates/universe Translation-en_US
Ign http://archive.ubuntu.com/ubuntu/ lucid-updates/multiverse Translation-en_US
Hit http://archive.ubuntu.com lucid-security Release.gpg                       
Ign http://archive.ubuntu.com/ubuntu/ lucid-security/main Translation-en_US    
Ign http://archive.ubuntu.com/ubuntu/ lucid-security/restricted Translation-en_US
Get:6 http://dl.google.com stable/main Packages [767B]                         
Ign http://ppa.launchpad.net lucid Release                                     
Ign http://ppa.launchpad.net lucid Release                           
Hit http://ppa.launchpad.net lucid Release                           
Hit http://ppa.launchpad.net lucid Release                           
Hit http://archive.canonical.com lucid/partner Packages                        
Ign http://archive.ubuntu.com/ubuntu/ lucid-security/universe Translation-en_US
Ign http://archive.ubuntu.com/ubuntu/ lucid-security/multiverse Translation-en_US
Hit http://archive.ubuntu.com lucid Release                          
Hit http://archive.ubuntu.com lucid-updates Release                            
Ign http://ppa.launchpad.net Lucid/main Packages                               
Ign http://ppa.launchpad.net Lucid/main Sources                                
Hit http://archive.canonical.com lucid/partner Sources                         
Hit http://archive.ubuntu.com lucid-security Release                 
Ign http://ppa.launchpad.net lucid/main Packages                     
Ign http://ppa.launchpad.net lucid/main Packages
Hit http://archive.ubuntu.com lucid/main Packages
Hit http://archive.ubuntu.com lucid/restricted Packages
Hit http://archive.ubuntu.com lucid/restricted Sources
Hit http://archive.ubuntu.com lucid/main Sources
Hit http://archive.ubuntu.com lucid/multiverse Sources
Hit http://archive.ubuntu.com lucid/universe Sources
Hit http://ppa.launchpad.net lucid/main Packages
Hit http://ppa.launchpad.net lucid/main Packages
Ign http://ppa.launchpad.net Lucid/main Packages
Hit http://archive.ubuntu.com lucid/universe Packages
Hit http://archive.ubuntu.com lucid/multiverse Packages
Hit http://archive.ubuntu.com lucid-updates/main Packages
Hit http://archive.ubuntu.com lucid-updates/restricted Packages
Ign http://ppa.launchpad.net Lucid/main Sources
Ign http://ppa.launchpad.net lucid/main Packages
Hit http://archive.ubuntu.com lucid-updates/restricted Sources
Hit http://archive.ubuntu.com lucid-updates/main Sources
Hit http://archive.ubuntu.com lucid-updates/multiverse Sources
Hit http://archive.ubuntu.com lucid-updates/universe Sources
Hit http://archive.ubuntu.com lucid-updates/universe Packages
Hit http://archive.ubuntu.com lucid-updates/multiverse Packages
Ign http://ppa.launchpad.net lucid/main Packages
Hit http://archive.ubuntu.com lucid-security/main Packages
Hit http://archive.ubuntu.com lucid-security/restricted Packages
Hit http://archive.ubuntu.com lucid-security/restricted Sources
Hit http://archive.ubuntu.com lucid-security/main Sources
Hit http://archive.ubuntu.com lucid-security/multiverse Sources
Hit http://archive.ubuntu.com lucid-security/universe Sources
Hit http://archive.ubuntu.com lucid-security/universe Packages
Hit http://archive.ubuntu.com lucid-security/multiverse Packages
Err http://ppa.launchpad.net Lucid/main Packages
  404  Not Found
Err http://ppa.launchpad.net Lucid/main Sources
  404  Not Found
Err http://ppa.launchpad.net lucid/main Packages
  404  Not Found
Err http://ppa.launchpad.net lucid/main Packages
  404  Not Found
Fetched 5,108B in 1s (2,894B/s)
W: Failed to fetch http://ppa.launchpad.net/gwibber-daily/ppa/ubuntu/dists/Lucid/main/binar... 404  Not Found

W: Failed to fetch http://ppa.launchpad.net/gwibber-daily/ppa/ubuntu/dists/Lucid/main/sourc... 404  Not Found

W: Failed to fetch http://ppa.launchpad.net/THE_PPA/ppa/ubuntu/dists/lucid/main/binary-i386... 404  Not Found

W: Failed to fetch http://ppa.launchpad.net/user/ppa-name/ubuntu/dists/lucid/main/binary-i3... 404  Not Found

E: Some index files failed to download, they have been ignored, or old ones used instead.
owner@owner-laptop:~$

Thanks again i just cant wait to use hydrogen with the tempo change function!the other way wasso timeconsuming.Talk to you soon thanks

 

stephenthemartyr
Offline
Joined: 07/05/2011

/usr/bin/jackd oh and this is the path in setup of qjackctl

stephenthemartyr
Offline
Joined: 07/05/2011

So what can i do?Is their a way to undo the ppa that did all the upgrading and then only upgrade the hydrogen?What should I do?I know this may be annoying but I really appreciate youhelp and I will owe you

stephenthemartyr
Offline
Joined: 07/05/2011

soooooooooooooo what should i do

thijs
thijs's picture
Offline
Joined: 04/20/2010

it looks like you are running jackdbus in auto mode iso jackd.

AFAIK this is the 'new' jackd version that is dbus aware, and i guess that it requires your jack apps to be dbus aware as well.

from the 'grep jack' before and after qjackctl starts it seems that jackdbus is already running before you start qjackctl.  since i'm not using jackdbus i can only guess that jackdbus (in auto mode) automatically starts up when you start a jack enable audio app.  Basically this means that qjackctl is not controlling the running jackdbus (apparently qjackctl is not dbus aware).  it seems like you have a mixed setup and it's not advisable to do so (see this)

to uninstall the KSXstudio ppa : sudo ppa-purge kxstudio-team (you will probably need to install ppa-purge first > see this post) this should remove all the apps installed via this ppa (and rollback to the official versions)

>> NOTE that _ALL_ apps from this ppa will be removed, including your hydrogen 0.9.5,  but for the moment that's probably the least of your worries, right  ;-)

once this is done you should be able to start jackd via qjackctl like you used to do before.  after you start it, run another '$ps aux | grep jack'  and you should see a line with '/usr/bin/jackd'

Let me know how this goes, and then we will see how we can proceed

good luck !

 

 

 

stephenthemartyr
Offline
Joined: 07/05/2011

ok now i have sound but the latency is not good,will you be able tp help me get newer programs that woiuld  make my rsording better and easier and of course .9.5 its so bad ass

thijs
thijs's picture
Offline
Joined: 04/20/2010

are you saying that you have ardour running again ?

can you post the output of $ps aux | grep jack  ?

stephenthemartyr
Offline
Joined: 07/05/2011

owner     3079  0.0  0.0   3324   800 pts/0    S+   22:07   0:00 grep --color=auto jack

it is producing sound but it is def. not right,it is shutting down and then freezing up and some times sound is allmessed up

i wasthinking of rebooting with 11.04,is that a goodidea?,will that have the bestversions of music recording stuff like .9.5 hydrodrums?is there a better ubuntu for recording audio?or shall i do something else4?

stephenthemartyr
Offline
Joined: 07/05/2011

owner@owner-laptop:~$ ps aux | grep jack
owner     3427  5.6  3.4 105516 70356 ?        SLl  23:11   0:01 /usr/bin/qjackctl
owner     3432  2.0  2.8  69908 58004 ?        SLsl 23:11   0:00 /usr/bin/jackd -P86 -p1024 -t2000 -dalsa -dhw:0 -r44100 -p1024 -n3
owner     3441  0.0  0.0   3324   796 pts/0    S+   23:11   0:00 grep --color=auto jack
owner@owner-laptop:~$

 

duuuuuude i am so confused,what si going on,is their a way to clean up my system,should i reboot?and does 11.04 come with .9.5hydro?

thijs
thijs's picture
Offline
Joined: 04/20/2010

Hydrogen 0.9.5 is not yet in any official repository (that is why we redirect users to the KXStudio PPA) so you will not find any Ubuntu distro that ships it.

11.04 (Natty) is relatively new, and i (personally) would not recommend using it for Audio on linux since it wil be harder to find installers/PPA's for the audio apps.  i'm using 10.04, this is a LTS (Long Term Support), but dont let me stop you from trying.

if you are looking for a distro that is optimized for Audio/Video?multimedia you can check out Studio64, Ubuntu Studio, AVlinux ...

What you are telling me is that you have to much latency on your setup.  Have you tweaked the Jack settings to get the best results ?  if you are not farmiliar with jack you should take a look at this : http://www.64studio.com/quickstart_jack

 

grtz

stephenthemartyr
Offline
Joined: 07/05/2011

ahhhhhh,no ill stay on 10.04 i just want itto work like it did before i updated it,it must hsave changes something cuz i went thru x-run problems awhile ago and i fixed tthem,downloaded the rt kernel,put the memlock thing in the configure file and messed withe setting in jack and had it working great but now it is not working great,same settings.You think 10.04 is better than those others?i just want my system to work.

so what can i do to undo damage i did from thefull ppa and install the ppa that only updates what i want,or is that impossible?And i thank you much for all help,i will put a thank you in my bands upcoing record to you and hydrogen!thanks

thijs
thijs's picture
Offline
Joined: 04/20/2010

hi Stephen

normally the ppa-purge should remove all apps installed from the PPA and re-install all the official versions for your distro.  You can still add the PPA tou your software sources, just dont run a 'upgrade all' but select the apps you want to upgrade (in the list of the update manager).  i'm currently writing a howt page about using the PPA.  i'll let you know when it's done (should be tomorrow)

i wouldnt be surprised however if some config files have been overwritten, so it's definately a good idea to go over all the tweaks you did before (memlock, priority, add your user to the audio group ...).  a RT kernel will have no impact on your latency, it will have an impact on the reliability of your setup, so for tweaking the jack settings you dont really need it.  What app are you using the test the latency? or are you using a hardware midi keyboard to trigger sounds in hydrogen (or some soft synth) ?

i'm not saying that 10.4 is the only good distro, i just like to play it safe :-)

stephenthemartyr
Offline
Joined: 07/05/2011

hey man i ran that file and

 

stephen@stephen-laptop:~$ ps aux | grep jack
stephen  31022  0.0  0.0   3324   788 pts/0    S+   19:23   0:00 grep --color=auto jack
I reinstalled 10.04 and then in synaptic i dowloaded ubuntustudio metapackage which is just music stuff not the ubuntu studio but jack isnt woking.Limits.conf only has this   @audio          -       rtprio          99 not the memlock and nice ones.now i have the old hydrogen and the old lmms,

\its my birthday and i would like a present.........of a working awesomeubuntu so ic an work on my bands stuff.What woiuld be the best version for me?how doi update older programs without messing my computer up

stephenthemartyr
Offline
Joined: 07/05/2011

hey i rebooted and did the kxstudio ppa again and only chosed what i wanted it said i had 2 config files and made me pick one so i picked th3e one incomin with ppa,no sound in jack and hydrogen

thijs
thijs's picture
Offline
Joined: 04/20/2010

hi Stephen

i assume you mean re-installed ?

just yesterday a hydrogen-only PPA was launched that contains the 0.9.5 and will install _only_ hydrogen, nothing else (check out the download page for more info)

try that (but first uninstall hydrogen before you add the new PPA and remove the other KXStudio PPA)

grtz